cURL
curl https://api.exponent.finance/orderbook-emissions/campaigns
import requests
response = requests.get("https://api.exponent.finance/orderbook-emissions/campaigns", timeout=30)
response.raise_for_status()
print(response.json())
const response = await fetch("https://api.exponent.finance/orderbook-emissions/campaigns");
if (!response.ok) {
throw new Error(`Request failed: ${response.status}`);
}
const data = await response.json();
console.log(data);
{
"campaigns": [
{
"id": "3fjeZWCo-6FrrzDk5-d139734e",
"campaignType": "orderbook_quote",
"lookThroughEnabled": false,
"isActive": true,
"orderbookAddress": "3fjeZWCoXxohJXJpAiX995q7S9VNKBUa5YLK4NcSRQ1n",
"vaultAddress": "Dy8bAHHbxkY87aZbSmycazWvui7kpLU6uAPkEkZA3fj5",
"tranchingMarketAddress": null,
"trancheSide": null,
"emissionMint": "6FrrzDk5mQARGc1TDYoyVnSyRdds1t4PbtohCD6p3tgG",
"emissionDecimals": 6,
"incentivizedOrderTypes": [
"buyYT",
"sellYT"
],
"priceBandBps": 434,
"epochCron": "0 10 * * 4",
"maxRewardsApyBps": 5000,
"treasuryTokenAccount": "7p62HNzAmZ6DBLUEZbPmWhhLmSaF7E99pwu3P72SW6xg",
"tokenProgramId": "TokenkegQfeZyiNwAJbNbGKPFXCWuBvf9Ss623VQ5DA",
"startsAt": "2026-09-09T15:33:16.000Z",
"endsAt": "2026-10-09T00:00:00.000Z",
"fundingAmountRaw": "5000999888",
"distributedRaw": "779073424",
"undistributedRaw": "4221926464",
"marketImpliedApy": 47837,
"currentRewardsApy": null,
"currentRewardsApyByUser": null,
"currentRewardsApyByOrderId": null,
"claimAuthority": "3PcQvSXoNfctD2QSXWpwa6eg9EjYM1UjdFdscV6vVLFe",
"nextEpochCron": null,
"epochCronTransitionAt": "2026-09-17T10:00:00+00:00"
},
{
"id": "3mXbVuMy-3ThdFZQK-0de0cae0",
"campaignType": "orderbook_quote",
"lookThroughEnabled": false,
"isActive": true,
"orderbookAddress": "3mXbVuMynj21doFXXEauJ2tGDV9kS2Q1SnnQDcgD54Bw",
"vaultAddress": "B78XAMSpB5KQqykw9oEec1nFSPeRqYtbTmsxo9EPwAUW",
"tranchingMarketAddress": null,
"trancheSide": null,
"emissionMint": "3ThdFZQKM6kRyVGLG48kaPg5TRMhYMKY1iCRa9xop1WC",
"emissionDecimals": 6,
"incentivizedOrderTypes": [
"buyYT",
"sellYT"
],
"priceBandBps": 1000,
"epochCron": "0 0 * * 1",
"maxRewardsApyBps": 20000,
"treasuryTokenAccount": "E1hXS6n311UTNTauqvjabNstqUeqUW4N47pkbbZ52Bwu",
"tokenProgramId": "TokenkegQfeZyiNwAJbNbGKPFXCWuBvf9Ss623VQ5DA",
"startsAt": "2026-05-28T16:00:00.000Z",
"endsAt": "2026-06-27T16:00:00.000Z",
"fundingAmountRaw": "11624000000",
"distributedRaw": "9353136815",
"undistributedRaw": "2270863185",
"marketImpliedApy": 2397896,
"currentRewardsApy": null,
"currentRewardsApyByUser": null,
"currentRewardsApyByOrderId": null,
"claimAuthority": "3PcQvSXoNfctD2QSXWpwa6eg9EjYM1UjdFdscV6vVLFe",
"nextEpochCron": null,
"epochCronTransitionAt": null
}
]
}
{
"error": "<message>"
}
{
"error": "<message>"
}
Rewards
List reward campaigns
Retrieve orderbook, YT-holder, and tranching LP-holder reward campaigns.
GET
/
orderbook-emissions
/
campaigns
cURL
curl https://api.exponent.finance/orderbook-emissions/campaigns
import requests
response = requests.get("https://api.exponent.finance/orderbook-emissions/campaigns", timeout=30)
response.raise_for_status()
print(response.json())
const response = await fetch("https://api.exponent.finance/orderbook-emissions/campaigns");
if (!response.ok) {
throw new Error(`Request failed: ${response.status}`);
}
const data = await response.json();
console.log(data);
{
"campaigns": [
{
"id": "3fjeZWCo-6FrrzDk5-d139734e",
"campaignType": "orderbook_quote",
"lookThroughEnabled": false,
"isActive": true,
"orderbookAddress": "3fjeZWCoXxohJXJpAiX995q7S9VNKBUa5YLK4NcSRQ1n",
"vaultAddress": "Dy8bAHHbxkY87aZbSmycazWvui7kpLU6uAPkEkZA3fj5",
"tranchingMarketAddress": null,
"trancheSide": null,
"emissionMint": "6FrrzDk5mQARGc1TDYoyVnSyRdds1t4PbtohCD6p3tgG",
"emissionDecimals": 6,
"incentivizedOrderTypes": [
"buyYT",
"sellYT"
],
"priceBandBps": 434,
"epochCron": "0 10 * * 4",
"maxRewardsApyBps": 5000,
"treasuryTokenAccount": "7p62HNzAmZ6DBLUEZbPmWhhLmSaF7E99pwu3P72SW6xg",
"tokenProgramId": "TokenkegQfeZyiNwAJbNbGKPFXCWuBvf9Ss623VQ5DA",
"startsAt": "2026-09-09T15:33:16.000Z",
"endsAt": "2026-10-09T00:00:00.000Z",
"fundingAmountRaw": "5000999888",
"distributedRaw": "779073424",
"undistributedRaw": "4221926464",
"marketImpliedApy": 47837,
"currentRewardsApy": null,
"currentRewardsApyByUser": null,
"currentRewardsApyByOrderId": null,
"claimAuthority": "3PcQvSXoNfctD2QSXWpwa6eg9EjYM1UjdFdscV6vVLFe",
"nextEpochCron": null,
"epochCronTransitionAt": "2026-09-17T10:00:00+00:00"
},
{
"id": "3mXbVuMy-3ThdFZQK-0de0cae0",
"campaignType": "orderbook_quote",
"lookThroughEnabled": false,
"isActive": true,
"orderbookAddress": "3mXbVuMynj21doFXXEauJ2tGDV9kS2Q1SnnQDcgD54Bw",
"vaultAddress": "B78XAMSpB5KQqykw9oEec1nFSPeRqYtbTmsxo9EPwAUW",
"tranchingMarketAddress": null,
"trancheSide": null,
"emissionMint": "3ThdFZQKM6kRyVGLG48kaPg5TRMhYMKY1iCRa9xop1WC",
"emissionDecimals": 6,
"incentivizedOrderTypes": [
"buyYT",
"sellYT"
],
"priceBandBps": 1000,
"epochCron": "0 0 * * 1",
"maxRewardsApyBps": 20000,
"treasuryTokenAccount": "E1hXS6n311UTNTauqvjabNstqUeqUW4N47pkbbZ52Bwu",
"tokenProgramId": "TokenkegQfeZyiNwAJbNbGKPFXCWuBvf9Ss623VQ5DA",
"startsAt": "2026-05-28T16:00:00.000Z",
"endsAt": "2026-06-27T16:00:00.000Z",
"fundingAmountRaw": "11624000000",
"distributedRaw": "9353136815",
"undistributedRaw": "2270863185",
"marketImpliedApy": 2397896,
"currentRewardsApy": null,
"currentRewardsApyByUser": null,
"currentRewardsApyByOrderId": null,
"claimAuthority": "3PcQvSXoNfctD2QSXWpwa6eg9EjYM1UjdFdscV6vVLFe",
"nextEpochCron": null,
"epochCronTransitionAt": null
}
]
}
{
"error": "<message>"
}
{
"error": "<message>"
}
Query parameters
boolean
Include persisted campaign status rows, including inactive campaigns. Despite its name, this also merges orderbook and YT-holder status rows. Default:
false.cURL
curl https://api.exponent.finance/orderbook-emissions/campaigns
import requests
response = requests.get("https://api.exponent.finance/orderbook-emissions/campaigns", timeout=30)
response.raise_for_status()
print(response.json())
const response = await fetch("https://api.exponent.finance/orderbook-emissions/campaigns");
if (!response.ok) {
throw new Error(`Request failed: ${response.status}`);
}
const data = await response.json();
console.log(data);
{
"campaigns": [
{
"id": "3fjeZWCo-6FrrzDk5-d139734e",
"campaignType": "orderbook_quote",
"lookThroughEnabled": false,
"isActive": true,
"orderbookAddress": "3fjeZWCoXxohJXJpAiX995q7S9VNKBUa5YLK4NcSRQ1n",
"vaultAddress": "Dy8bAHHbxkY87aZbSmycazWvui7kpLU6uAPkEkZA3fj5",
"tranchingMarketAddress": null,
"trancheSide": null,
"emissionMint": "6FrrzDk5mQARGc1TDYoyVnSyRdds1t4PbtohCD6p3tgG",
"emissionDecimals": 6,
"incentivizedOrderTypes": [
"buyYT",
"sellYT"
],
"priceBandBps": 434,
"epochCron": "0 10 * * 4",
"maxRewardsApyBps": 5000,
"treasuryTokenAccount": "7p62HNzAmZ6DBLUEZbPmWhhLmSaF7E99pwu3P72SW6xg",
"tokenProgramId": "TokenkegQfeZyiNwAJbNbGKPFXCWuBvf9Ss623VQ5DA",
"startsAt": "2026-09-09T15:33:16.000Z",
"endsAt": "2026-10-09T00:00:00.000Z",
"fundingAmountRaw": "5000999888",
"distributedRaw": "779073424",
"undistributedRaw": "4221926464",
"marketImpliedApy": 47837,
"currentRewardsApy": null,
"currentRewardsApyByUser": null,
"currentRewardsApyByOrderId": null,
"claimAuthority": "3PcQvSXoNfctD2QSXWpwa6eg9EjYM1UjdFdscV6vVLFe",
"nextEpochCron": null,
"epochCronTransitionAt": "2026-09-17T10:00:00+00:00"
},
{
"id": "3mXbVuMy-3ThdFZQK-0de0cae0",
"campaignType": "orderbook_quote",
"lookThroughEnabled": false,
"isActive": true,
"orderbookAddress": "3mXbVuMynj21doFXXEauJ2tGDV9kS2Q1SnnQDcgD54Bw",
"vaultAddress": "B78XAMSpB5KQqykw9oEec1nFSPeRqYtbTmsxo9EPwAUW",
"tranchingMarketAddress": null,
"trancheSide": null,
"emissionMint": "3ThdFZQKM6kRyVGLG48kaPg5TRMhYMKY1iCRa9xop1WC",
"emissionDecimals": 6,
"incentivizedOrderTypes": [
"buyYT",
"sellYT"
],
"priceBandBps": 1000,
"epochCron": "0 0 * * 1",
"maxRewardsApyBps": 20000,
"treasuryTokenAccount": "E1hXS6n311UTNTauqvjabNstqUeqUW4N47pkbbZ52Bwu",
"tokenProgramId": "TokenkegQfeZyiNwAJbNbGKPFXCWuBvf9Ss623VQ5DA",
"startsAt": "2026-05-28T16:00:00.000Z",
"endsAt": "2026-06-27T16:00:00.000Z",
"fundingAmountRaw": "11624000000",
"distributedRaw": "9353136815",
"undistributedRaw": "2270863185",
"marketImpliedApy": 2397896,
"currentRewardsApy": null,
"currentRewardsApyByUser": null,
"currentRewardsApyByOrderId": null,
"claimAuthority": "3PcQvSXoNfctD2QSXWpwa6eg9EjYM1UjdFdscV6vVLFe",
"nextEpochCron": null,
"epochCronTransitionAt": null
}
]
}
{
"error": "<message>"
}
{
"error": "<message>"
}